/*-
 * ~~~~~~licensing~~~~~~
 * generator-api
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.runtime.base.connecting.generator.impl;

import java.util.HashMap;
import java.util.Map;

import ru.entaxy.esb.platform.runtime.base.connecting.generator.Generated;

public class GeneratedImpl implements Generated {

	protected String type;
	protected Object object;
	
	protected Map<String, Object> properties = new HashMap<>();
	
	public GeneratedImpl() {
		this(Generated.GENERATED_TYPE_UNKNOWN, null);
	}

	public GeneratedImpl(Object object) {
		this(Generated.GENERATED_TYPE_UNKNOWN, object);
	}
	
	public GeneratedImpl(String type, Object object) {
		this.type = null==type?Generated.GENERATED_TYPE_UNKNOWN:type;
		this.object = object;
	}
	
	@Override
	public String getType() {
		return this.type;
	}
	
	@Override
	public Object getObject() {
		return this.object;
	};
	
	@Override
	public Map<String, Object> getProperties() {
		return this.properties;
	}
}
